<?php

namespace common\models;

use common\modules\product\models\ProductVariant;
use Yii;

/**
 * This is the model class for table "order_items".
 *
 * @property integer $order_items_id
 * @property integer $order_id
 * @property integer $item_id
 * @property integer $item_count
 * @property double $price
 *
 * @property Orders $order
 * @property ProductVariant $item
 */
class OrderItems extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'order_items';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['order_id', 'item_id', 'item_count'], 'integer'],
            [['price'], 'number'],
            [['order_id'], 'exist', 'skipOnError' => true, 'targetClass' => Orders::className(), 'targetAttribute' => ['order_id' => 'order_id']],
            [['item_id'], 'exist', 'skipOnError' => true, 'targetClass' => ProductVariant::className(), 'targetAttribute' => ['item_id' => 'product_variant_id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'order_items_id' => Yii::t('app', 'order_items_id'),
            'order_id' => Yii::t('app', 'order_id'),
            'item_id' => Yii::t('app', 'item_id'),
            'item_count' => Yii::t('app', 'item_count'),
            'price' => Yii::t('app', 'price'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getOrder()
    {
        return $this->hasOne(Orders::className(), ['order_id' => 'order_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getItem()
    {
        return $this->hasOne(ProductVariant::className(), ['product_variant_id' => 'item_id']);
    }
}
